Page MenuHomePhabricator

Specialist support for communication with small wikis about translation
Closed, ResolvedPublic

Description

As part of the Language annual plan (T225298), we want to help a set of small wikis to grow by translation (T225300). This involves bringing more people to content translation and expanding the current capabilities to meet the needs of these small wikis.

As an initial step we want to communicate our plans to those wikis, to introduce the plan, announce the next steps, and get their initial feedback.

The selected set of Wikipedias is:

  • Malayalam
  • Bengali
  • Tagalog
  • Javanese
  • Mongolian

Help needed form Community Specialists

  • Communication plan review. Provide feedback about what, where and when to communicate.
  • Help find people in these communities that can help us in the communication (e.g., translating the messages).

What does success look like?

  • The initiative is widely communicated to editors from the selected communities.
  • Interested editors are able to track the project and participate.
  • Relevant feedback is surfaced earlier.

Timeline

We aim for completing the whole process during Q1 (July-September), including communications with the 5 communities and some time for them to provide feedback.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 5:47 PM
Elitre triaged this task as Medium priority.Jul 2 2019, 11:28 AM
Elitre claimed this task.Jul 2 2019, 11:30 AM
Elitre added a subscriber: Elitre.

It's fine. @Pginer-WMF I may be able to help, please just add to the description

What does success look like?
What is your deadline?

Pginer-WMF renamed this task from Specialist support for support to communicate with small wikis about translation to Specialist support for communication with small wikis about translation.Jul 8 2019, 5:24 PM
Pginer-WMF updated the task description. (Show Details)

It's fine. @Pginer-WMF I may be able to help, please just add to the description
What does success look like?
What is your deadline?

Thanks! I added the details, and created a draft for the communication plan.

I see that Wikimedia Space is being considered in the communication plan. Very good!

Beyond the announcement, I wonder whether the new category Translation at Space could be used for better communication and collaboration between translators of a same language and between all translators in general.

Comms at jv.wp started today: https://jv.wikipedia.org/wiki/Wikipedia:Angkringan#Ngapiki_panjurung_pertalan_tumrap_Wikip%C3%A9dia_Jawa (personal pings to translators to get relevant feedback still to be sent).

Elitre added subscribers: Amire80, Arrbee.EditedAug 7 2019, 9:07 AM

I am sending the pings to very active CX users (after I get that message translated, that is). After that, I'll just be monitoring for reactions for a while, unless @Amire80 or @Arrbee instruct me to proceed with the next community.

Elitre added a subscriber: Keegan.Aug 14 2019, 9:09 PM

Comms at jv.wp started today: https://jv.wikipedia.org/wiki/Wikipedia:Angkringan#Ngapiki_panjurung_pertalan_tumrap_Wikip%C3%A9dia_Jawa (personal pings to translators to get relevant feedback still to be sent).

I have sent the pings in English, apologizing for it.
@Keegan will keep an eye on the Village Pump for the next couple of days.

Pau has informed me we can move forward to the next couple of wikis. I'll try to reach out to relevant affiliates as well and see if that helps with hearing more from people.

I've posted the announcement on tl.wp - but haven't pinged people to participate pending getting related information from Amir; will look for additional translators for the announcement to be posted on ml.wp instead.

Qgil removed a subscriber: Qgil.Aug 22 2019, 2:11 PM

Both ml. and tl. have been contacted. I am not targeting active translators to hear from them though because I'm still waiting for related information from @Amire80.

Elitre added a comment.Sep 4 2019, 3:46 PM

@Pginer-WMF Tl.wp and ml.wp are pretty silent. We could move forward or ping specific people, however I haven't received further information on the lists that Amir made and therefore those haven't been used.

@Pginer-WMF Tl.wp and ml.wp are pretty silent. We could move forward or ping specific people, however I haven't received further information on the lists that Amir made and therefore those haven't been used.

There seems to be just one reply, on tl.wikipedia.org/wiki/Usapang_Wikipedia:Kapihan#Pagpapabuti_ng_suporta_sa_pagsasalin_para_sa_Wikipediang_Tagalog | the Tagalog announcement ]] and seems positive:

Nakatulong sa akin ang Pangsasalinwika o Content Translation Tool sa pag-ambag ng mga bagong artikulo sa Wikipediang Tagalog, at sa tingin ko makatutulong ang pagbibigay-suporta sa kagamitang ito sa paghihikayat ng mas maraming tagagamit na mag-ambag pa dahil pinapadali ng kagamitan ang proseso ng pagsasalin. Gusto ko na may pokus sa pagdaragdag ng nilalaman ng mga artikulong nailathala na - hindi ko ginagamit masyado ang Content Translation para rito, pero gusto kong subukan ngayon. Tingin ko rin na maaaring suriin ang pagsasalin ng mga sanggunian sa Content Translation, dahil may mga sanggunian na maisasaayos lang sa Source mode.

Automatic translation to English:
The Content Translation Tool has helped me in contributing new articles to the Wikipedias, and I think supporting this tool can help encourage more users to contribute as the process simplifies the process translation. I want to focus on adding content to the articles that have already been published - I don't use Content Translation very much for this, but I want to try it now. I also think it is possible to check the translation of references in Content Translation, as there are references that can only be configured in Source mode.

@Amire80 will be looking into the list of individual active contributors (T229324#5423709) soon. Meanwhile, we can target the general announcements for the next set of wikis, and go back to individual pings once the updated list is available. Sounds good, @Elitre ?

WFM! Thanks!

A set of relevant translators and affiliates had been contacted to have the announcements translated in both the last 2 languages.

@Pginer-WMF , sadly we don't seem to be making progress on translations for Mongolian. Should we just go ahead and post in English with an apology?

With appropriate access, you can use https://gerrit.wikimedia.org/r/plugins/gitiles/labs/tools/lists/+/master/scripts/userslang.py to look for Mongolian speakers on other wikis.

Elitre added a comment.EditedSep 18 2019, 10:32 AM

With appropriate access, you can use https://gerrit.wikimedia.org/r/plugins/gitiles/labs/tools/lists/+/master/scripts/userslang.py to look for Mongolian speakers on other wikis.

Thank you for the suggestion, it should be handy in future occasions. There have been a handful of attempts at reaching out already, and this wiki is just very, very tiny. Even if I had a translated message , I suspect people are not really congregating much on wiki, so our messages may be shots in the dark in any case.

I understand that Amir may try to provide the main announcement in Russian, which should help find translators.

@Pginer-WMF , sadly we don't seem to be making progress on translations for Mongolian. Should we just go ahead and post in English with an apology?

I think it is ok to publish in English in this case.

I have now invited the top 25 translators for ML to the conversation in their VP.

I've also messaged 15 translators from Tagalog, and announced the project on Bikol per their request.

Thanks to Amir I'm clear to proceed and contact around 40 people on bn.wp tomorrow.

I mass messaged those people.
With Amir planning to do personal outreach to Mongolian users, I believe that my work here may be done, but will wait for confirmation and/or further requests.

Paging @Pginer-WMF to see whether he has thoughts :)

Pginer-WMF closed this task as Resolved.Oct 21 2019, 10:06 AM

Paging @Pginer-WMF to see whether he has thoughts :)

I think the purpose of the ticket is completed. Conversations were started and initiatives already started in all selected wikis. Thanks for all your work on this, @Elitre!